Imports IntraSell_DLL

Public Class AutomAufgabenEinstellungen

    Private Sub AutomAufgabenEinstellungen_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Try
            If ExistsVarValue(Variablen.STATISTIKEN_EMAIL_TO) Then
                txtEmailChef.Text = VarValue(Variablen.STATISTIKEN_EMAIL_TO)
            End If
            If ExistsVarValue(Variablen.STATISTIKEN_SENDE_TAGESUMSATZ) Then
                CheckBoxTagesUmsatz.Checked = VarValue(Variablen.STATISTIKEN_SENDE_TAGESUMSATZ)
            End If
            If ExistsVarValue(Variablen.STATISTIKEN_SENDE_CHARTS) Then
                CheckBoxCharts.Checked = VarValue(Variablen.STATISTIKEN_SENDE_CHARTS)
            End If
            If ExistsVarValue(Variablen.STATISTIKEN_UHRZEIT) Then
                ComboBoxSendeZeit.Text = VarValue(Variablen.STATISTIKEN_UHRZEIT)
            End If
            If ExistsVarValue(Variablen.STATISTIKEN_SENDE_MONATSUMSATZ) Then
                CheckBoxMonatsUmsatz.Checked = VarValue(Variablen.STATISTIKEN_SENDE_MONATSUMSATZ)
            End If
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonStatSenden_Click(sender As Object, e As EventArgs) Handles ButtonStatSenden.Click
        Try
            ModuleReportsAutomatisch.SendeStatistik()
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub CheckBoxTagesUmsatz_Click(sender As Object, e As EventArgs) Handles CheckBoxTagesUmsatz.Click
        SetVarValue(Variablen.STATISTIKEN_SENDE_TAGESUMSATZ, CheckBoxTagesUmsatz.Checked)
    End Sub
    Private Sub CheckBoxCharts_Click(sender As Object, e As EventArgs) Handles CheckBoxCharts.Click
        SetVarValue(Variablen.STATISTIKEN_SENDE_CHARTS, CheckBoxCharts.Checked)
    End Sub

    Private Sub txtEmailChef_Validated(sender As Object, e As EventArgs) Handles txtEmailChef.Validated
        SetVarValue(Variablen.STATISTIKEN_EMAIL_TO, txtEmailChef.Text)
    End Sub
    Private Sub ComboBoxSendeZeit_Validated(sender As Object, e As EventArgs) Handles ComboBoxSendeZeit.Validated
        SetVarValue(Variablen.STATISTIKEN_UHRZEIT, ComboBoxSendeZeit.Text)
    End Sub

    Private Sub ButtonTaskAktivieren_Click(sender As Object, e As EventArgs) Handles ButtonTaskAktivieren.Click
        ModuleReportsAutomatisch.ReportTaskAnlegen()
    End Sub

    Private Sub CheckBoxMonatsUmsatz_Click(sender As Object, e As EventArgs) Handles CheckBoxMonatsUmsatz.Click
        SetVarValue(Variablen.STATISTIKEN_SENDE_MONATSUMSATZ, CheckBoxMonatsUmsatz.Checked)
    End Sub
End Class